## LassoSaml2Subject

LassoSaml2Subject — <saml2:Subject>

## Functions

LassoNode * | lasso_saml2_subject_new ()

## Types and Values

struct | LassoSaml2Subject

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSaml2Subject

## Description

Figure 67. Schema fragment for saml2:Subject

    <complexType name="SubjectType">
      <choice>
        <sequence>
          <choice>
            <element ref="saml:BaseID"/>
            <element ref="saml:NameID"/>
            <element ref="saml:EncryptedID"/>
          </choice>
          <element ref="saml:SubjectConfirmation" minOccurs="0" maxOccurs="unbounded"/>
        </sequence>
        <element ref="saml:SubjectConfirmation" maxOccurs="unbounded"/>
      </choice>
    </complexType>

## Functions

### lasso_saml2_subject_new ()

    LassoNode *
    lasso_saml2_subject_new (void);

Creates a new LassoSaml2Subject object.

#### Returns

a newly created LassoSaml2Subject object

## Types and Values

### struct LassoSaml2Subject

    struct LassoSaml2Subject {
    	/* elements */
    	LassoSaml2BaseIDAbstract *BaseID;
    	LassoSaml2NameID *NameID;
    	LassoSaml2EncryptedElement *EncryptedID;
    	LassoSaml2SubjectConfirmation *SubjectConfirmation;
    };